%
%	rasterplot(spiketimes,w, initrial, endtrial)
%       plots all the spikes, for a particular wave, across all records
%		w: What waves to plot (default=all);
%       initrial: 1st trial to plot (number of array). If 0 plots all trials.
%       endtrial: last trial (optional)
%
% Author:fellous@salk.edu



function rasterplot(spiketimes,w, initrial, endtrial)


global waves nwaves pulse npulses ncurrent ppulses pcurrent range base labels maxT waves2 nwaves2 ProtName

nrecs=size(spiketimes,1);

if (nargin ==4)
    trialsnb=initrial:min(endtrial,nrecs);
elseif (nargin ==3)
    if (initrial==0)          % if initrial=0 plot all trials
        trialsnb=1:nrecs;
    else
        trialsnb=initrial;
    end
end
if nwaves==0, nwaves=1;end

ntrials=length(trialsnb);

cla;
hold on;
if w>0 & w<nwaves+1
        I=1;
		for i=trialsnb
			s=1;
			while(spiketimes(i,w,s) ~=0 & s<size(spiketimes,3))
				%plot([spiketimes(i,w,s)],[i],'.','MarkerSize',3)    % use for very heavy rasterplots
				line([spiketimes(i,w,s) spiketimes(i,w,s)],[I I+0.9],'LineWidth',2)
				s=s+1;
			end
            I=I+1;
		end
end
%ylabel(sprintf('%s (%d)',char(labels(w,:)),w),'FontSize',8,'Rotation',90);
%ylabel(sprintf('%d ',w),'FontSize',8,'Rotation',0);
set(gca,'XLim',[0 maxT]);
set(gca,'YLim',[1 ntrials+1]);
xlabel('Time (s)');
set(gca,'YTick',[])

